﻿/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #000;
    box-sizing: border-box;
    padding: 10px 0;
}
.header-box{
    width: 95%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.header-menu-box{
    width: 100%;
    display: inline-block;
    vertical-align: middle;
    font-size: 0;
    text-align: center;
}
.header-menu> li{
    width: 250px;
    display: inline-block;
    vertical-align: bottom;
    position: relative;
}
.header-menu> li.header-logo{
    width: 105px;
}
.header-menu> li:not([class="header-logo"]){
    padding-bottom: 10px;
}
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}


.header-menu-title{
    font-size: 18px;
    position: relative;
    color: #e5ddd8;
    letter-spacing: 0.06em;
    transition: all .3s linear;
}


.header-user-box{
    position: absolute;
    top: 10px;
    right: 0;
}
.header-user >li{
    display: inline-block;
    vertical-align: middle;
    margin: 0 15px;
}
.header-user-title{
    font-size: 14px;
    letter-spacing: 0.06em;
    color: #e5ddd8;
    transition: all .3s linear;
}
.header-user-title.thereAreGoods{
    position: relative;
}
.header-user-title.thereAreGoods::after{
    content: '';
    position: absolute;
    top: -5px;
    right: -4px;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: #ff0000;
}
.header-user-title i{
    font-size: 20px;
}
.header-user-title span{
    margin-left: 5px;
    display: inline-block;
    vertical-align: top;
}
.header-menu-list-box{
    width: 200px;
    display: block;
    position: absolute;
    top: calc(100% + 10px);
    left: calc(50% - 90px);
    background-color: #fff;
    -webkit-filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.35));
    filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.35));
    box-sizing: border-box;
    padding: 10px 0;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-10px);
    transform-origin: top;
    transition: all .3s linear;
}
.header-menu-list-box::before{
    content: '';
    width: 100%;
    height: 20px;
    display: block;
    position: absolute;
    top: -20px;
    left: 0;
}
.header-menu-list-box::after{
    content: '';
    width: 0;
    height: 0;
    display: block;
    border-bottom: 10px solid #fff;
    border-right: 10px solid transparent;
    border-left: 10px solid transparent;
    position: absolute;
    top: -10px;
    left: calc(50% - 10px);
}
.header-menu-list{
    font-size: 18px;
    line-height: 46px;
    position: relative;
    color: #000;
    letter-spacing: 0.06em;
    transition: all .3s linear;
}

.header-menu> li.header-about:hover .header-menu-list-box{
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}
.header-menu> li.header-course:hover .header-menu-list-box,
.header-menu> li.header-student:hover .header-menu-list-box{
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}
.header-cumulative .header-user-title{
    background-color: #a67a45;
    color: #fff !important;
    box-sizing: border-box;
    padding: 0 5px;
}

.rwd-menu{
    width: 30px;
    max-width: 100%;
    position: absolute;
    right: 10px;
    z-index: 99999;
    display: none;
    top: calc(50% - 7px);
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 2px;
    background-color: #fff;
    position: relative;
}




/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 4px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 6px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    transition-delay: .1s;
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0s;
}

/*漢堡樣式2*/

.rwd-menu-style2> span:nth-child(4){
    display: none;
}
.rwd-menu-style2> span:nth-child(2){
    display: block;
    margin: 4px auto;
}
.rwd-menu-style2{
    width: 25px;
}
.rwd-menu-style2> span{
    transition: all 0.3s ease-in-out;
}
.rwd-menu-style2 .rwd-menu-bth-line,
.rwd-menu-style2 .rwd-menu-bth-line2{
    display: none;
}
.rwd-menu-style2.active{
    animation: smallbig 0.6s forwards;
}
.rwd-menu-style2.active> span:nth-child(1){
    -webkit-transform: translateY(7px) rotate(45deg);
    -ms-transform: translateY(7px) rotate(45deg);
    -o-transform: translateY(7px) rotate(45deg);
    transform: translateY(7px) rotate(45deg);
}
.rwd-menu-style2.active> span:nth-child(2){
    opacity: 0;
}
.rwd-menu-style2.active> span:nth-child(3){
    -webkit-transform: translateY(-5px) rotate(-45deg);
    -ms-transform: translateY(-5px) rotate(-45deg);
    -o-transform: translateY(-5px) rotate(-45deg);
    transform: translateY(-5px) rotate(-45deg);
}

.rwd-menu-style2.active> span:nth-child(1), 
.rwd-menu-style2.active> span:nth-child(2), 
.rwd-menu-style2.active> span:nth-child(3) {
    -webkit-transition-delay: 0.2s;
    -o-transition-delay: 0.2s;
    transition-delay: 0.2s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}
.rwd-header-logo-box{
    display: none;
}

/*------------------------------------------*/

@media only screen and (max-width: 1200px){
    .header-menu> li{
        width: 200px;
    }
}

@media only screen and (max-width: 1000px){
    .header-box{
        width: 95%;
    }
    .rwd-menu{
        display: block;
    }
    .rwd-menu{
        display: block;
    }
    .rwd-header-logo-box{
        display: block;
        width: 60px;
    }
    .header-user-box{
        right: 55px;
        top: calc(50% - 11px);
    }
    .rwd-header-menu-sytle1 .header-menu{
        width: 100%;
        height: 100vh;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 3;
        display:         flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: center;
        -webkit-justify-content: center;
        flex-direction:column;
        background-color: rgba(0, 0, 0, 0.85);
        transition: all .3s ease;
        opacity: 0;
        pointer-events: none;
    }
    .rwd-header-menu-sytle1 .header-menu.active{
        opacity: 1;
        pointer-events: all;
    }
    .rwd-header-menu-sytle1.header2 .header-menu{
        width: 100%;
    }
    
    .rwd-header-menu-sytle1 .header-menu> li{
        display: block;
        margin: 0;
        padding: 10px 0;
        box-sizing: border-box;
        border-top: 1px solid #e5ddd8;
    }
    .header-menu> li.header-logo{
        display: none
    }
   
    .rwd-header-menu-sytle1 .header-menu> li:last-child{
        margin-bottom: 0;
        border-bottom: 1px solid #e5ddd8;
    }
    .header-menu-list-box{
        position: static;
        transform: none;
        width: 100%;
        background-color: transparent;
        padding-bottom: 0;
    }
    .rwd-header-menu-sytle1 .header-menu.active .header-menu-list-box{
        opacity: 1;
        pointer-events: all;
    }
    .header-menu-list{
        color: #e5ddd8;
        line-height: 36px;
        font-size: 16px;
    }
    .header-menu-list::after{
        content: '';
        width: 0;
        height: 0;
        display: inline-block;
        vertical-align: middle;
        margin-left: 10px;
        border-left: 8px solid #fff;
        border-top: 4px solid transparent;
        border-bottom: 4px solid transparent;
    }
    .header-menu-list-box::before,
    .header-menu-list-box::after{
        display: none;
    }
}
@media only screen and (max-width: 550px){
    .header-style1{
        padding: 5px 0;
    }
    .rwd-header-logo-box{
        width: 40px;
    }
    .rwd-menu{
        width: 25px;
    }
    .header-user-title {
        font-size: 12px;
        line-height: 20px;
    }
    .header-user >li{
        margin: 0 10px;
    }
    .header-user-title i{
        font-size: 16px;
        line-height: 20px;
    }
    .header-user-box{
        right: 45px;
        top: calc(50% - 10px);
    }
    .header-menu-title{
        font-size: 20px;
    }
    .header-menu-list{
        font-size: 16px;
    }
    .header-user >li.header-cumulative{
        display: block;
    }
    .header-user-box {
        top: calc(50% - 20px);
    }
    .header-user{
        text-align: right;
    }
}
@media only screen and (min-width: 1001px){
    a.header-menu-title:hover{
        color: #a67a45;
    }
    a.header-menu-title::after,
    .header-menu-list:after{
        content: '';
        width: 0%;
        height: 1px;
        display: block;
        background-color: #a67a45;
        position: absolute;
        bottom: 0;
        left: 0;
        transition: all .3s linear;
    }
    a.header-menu-title:hover::after,
    .header-menu-list:hover::after{
        width: 100%;
    }
    .header-user-title:hover{
        color: #a67a45;
    }
    .header-menu-list:hover{
        color: #a67a45;
    }
}